> For the complete documentation index, see [llms.txt](https://docs.maple.finance/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.maple.finance/technical-resources/interfaces/open-term-loan-manager-initializer.md).

# OpenTermLoanManagerInitializer

## Functions

### `accountedInterest`

```solidity
    function accountedInterest()
        view
        returns (
            uint112
        );
```

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `uint112` |   `uint112`   |             |

### `decodeArguments`

```solidity
    function decodeArguments(
        bytes calldata_
    )
        pure
        returns (
            address poolManager_
        );
```

#### Parameters:

| Index |     Name    |   Type  | Internal Type | Description |
| :---: | :---------: | :-----: | :-----------: | ----------- |
|   0   | `calldata_` | `bytes` |    `bytes`    |             |

#### Return Values:

| Index |      Name      |    Type   | Internal Type | Description |
| :---: | :------------: | :-------: | :-----------: | ----------- |
|   0   | `poolManager_` | `address` |   `address`   |             |

### `domainStart`

```solidity
    function domainStart()
        view
        returns (
            uint40
        );
```

#### Return Values:

| Index | Name |   Type   | Internal Type | Description |
| :---: | :--: | :------: | :-----------: | ----------- |
|   0   |      | `uint40` |    `uint40`   |             |

### `encodeArguments`

```solidity
    function encodeArguments(
        address poolManager_
    )
        pure
        returns (
            bytes calldata_
        );
```

#### Parameters:

| Index |      Name      |    Type   | Internal Type | Description |
| :---: | :------------: | :-------: | :-----------: | ----------- |
|   0   | `poolManager_` | `address` |   `address`   |             |

#### Return Values:

| Index |     Name    |   Type  | Internal Type | Description |
| :---: | :---------: | :-----: | :-----------: | ----------- |
|   0   | `calldata_` | `bytes` |    `bytes`    |             |

### `fundsAsset`

```solidity
    function fundsAsset()
        view
        returns (
            address
        );
```

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `address` |   `address`   |             |

### `impairmentFor`

```solidity
    function impairmentFor(
        address
    )
        view
        returns (
            uint40 impairedDate,
            bool impairedByGovernor
        );
```

#### Parameters:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   | \`\` | `address` |   `address`   |             |

#### Return Values:

| Index |         Name         |   Type   | Internal Type | Description |
| :---: | :------------------: | :------: | :-----------: | ----------- |
|   0   |    `impairedDate`    | `uint40` |    `uint40`   |             |
|   1   | `impairedByGovernor` |  `bool`  |     `bool`    |             |

### `issuanceRate`

```solidity
    function issuanceRate()
        view
        returns (
            uint256
        );
```

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `uint256` |   `uint256`   |             |

### `paymentFor`

```solidity
    function paymentFor(
        address
    )
        view
        returns (
            uint24 platformManagementFeeRate,
            uint24 delegateManagementFeeRate,
            uint40 startDate,
            uint168 issuanceRate
        );
```

#### Parameters:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   | \`\` | `address` |   `address`   |             |

#### Return Values:

| Index |             Name            |    Type   | Internal Type | Description |
| :---: | :-------------------------: | :-------: | :-----------: | ----------- |
|   0   | `platformManagementFeeRate` |  `uint24` |    `uint24`   |             |
|   1   | `delegateManagementFeeRate` |  `uint24` |    `uint24`   |             |
|   2   |         `startDate`         |  `uint40` |    `uint40`   |             |
|   3   |        `issuanceRate`       | `uint168` |   `uint168`   |             |

### `poolManager`

```solidity
    function poolManager()
        view
        returns (
            address
        );
```

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `address` |   `address`   |             |

### `principalOut`

```solidity
    function principalOut()
        view
        returns (
            uint128
        );
```

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `uint128` |   `uint128`   |             |

### `unrealizedLosses`

```solidity
    function unrealizedLosses()
        view
        returns (
            uint128
        );
```

#### Return Values:

| Index | Name |    Type   | Internal Type | Description |
| :---: | :--: | :-------: | :-----------: | ----------- |
|   0   |      | `uint128` |   `uint128`   |             |

## Events

### `Initialized`

```solidity
    event Initialized(
        address poolManager_
    );
```

#### Parameters:

| Index |      Name      |    Type   | Internal Type | Description |
| :---: | :------------: | :-------: | :-----------: | ----------- |
|   0   | `poolManager_` | `address` |   `address`   |             |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.maple.finance/technical-resources/interfaces/open-term-loan-manager-initializer.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
